---
type: api
title: Get stream list
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-get-streams
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-get-streams
products:
  - Kibana
---

# Get stream list

Availability:

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/streams`
- `GET` `/s/{space_id}/api/streams`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Fetches list of all streams<br/><br/>[Required authorization] Route required privileges: read_stream.

## Request Body

`application/json`

Any of:
- **object**
- **object**

## Response

A list of all streams.

## Code Examples

#### Console

```console
GET /api/streams
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/streams"
```

## Response Examples

#### List streams

```json
{
  "streams": [
    {
      "description": "Root logs stream",
      "ingest": {
        "failure_store": {
          "inherit": {}
        },
        "lifecycle": {
          "inherit": {}
        },
        "processing": {
          "steps": [],
          "updated_at": "2025-01-10T08:00:00.000Z"
        },
        "settings": {},
        "wired": {
          "fields": {
            "@timestamp": {
              "type": "date"
            },
            "log.level": {
              "type": "keyword"
            },
            "message": {
              "type": "match_only_text"
            }
          },
          "routing": [
            {
              "destination": "logs.nginx",
              "status": "enabled",
              "where": {
                "eq": "nginx",
                "field": "host.name"
              }
            }
          ]
        }
      },
      "name": "logs",
      "type": "wired",
      "updated_at": "2025-01-10T08:00:00.000Z"
    },
    {
      "description": "Web server access logs, routed by severity",
      "ingest": {
        "failure_store": {
          "inherit": {}
        },
        "lifecycle": {
          "inherit": {}
        },
        "processing": {
          "steps": [],
          "updated_at": "2025-01-15T10:30:00.000Z"
        },
        "settings": {},
        "wired": {
          "fields": {
            "host.name": {
              "type": "keyword"
            },
            "http.response.status_code": {
              "type": "long"
            },
            "message": {
              "type": "match_only_text"
            }
          },
          "routing": [
            {
              "destination": "logs.nginx.errors",
              "status": "enabled",
              "where": {
                "field": "http.response.status_code",
                "gte": 500
              }
            }
          ]
        }
      },
      "name": "logs.nginx",
      "type": "wired",
      "updated_at": "2025-01-15T10:30:00.000Z"
    },
    {
      "description": "Legacy application logs",
      "ingest": {
        "classic": {},
        "failure_store": {
          "disabled": {}
        },
        "lifecycle": {
          "dsl": {
            "data_retention": "30d"
          }
        },
        "processing": {
          "steps": [
            {
              "action": "grok",
              "from": "message",
              "ignore_missing": true,
              "patterns": [
                "%{TIMESTAMP_ISO8601:timestamp} %{LOGLEVEL:log.level} %{GREEDYDATA:message}"
              ]
            }
          ],
          "updated_at": "2024-12-01T09:00:00.000Z"
        },
        "settings": {}
      },
      "name": "logs-myapp-default",
      "type": "classic",
      "updated_at": "2024-12-01T09:00:00.000Z"
    },
    {
      "description": "All error-level logs across every stream",
      "name": "logs.errors",
      "query": {
        "esql": "FROM logs* | WHERE log.level == \u0022error\u0022",
        "view": "logs.errors-view"
      },
      "type": "query",
      "updated_at": "2025-01-20T14:00:00.000Z"
    }
  ]
}
```

